Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159436 - nss_ldap sufferes from ldap search hang bug #157684
Summary: nss_ldap sufferes from ldap search hang bug #157684
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Depends On: 157684
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 17:46 UTC by Brian Nelson
Modified: 2015-01-08 00:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-12 19:13:48 UTC


Attachments (Terms of Use)

Description Brian Nelson 2005-06-02 17:46:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The nss_ldap library is statically linked to libldap. As such, it also sufferes from the hang problem as described in bug #157684.

Basically, nss_ldap just needs rebuilt with libldap that incorperates the fix for #157684.

Version-Release number of selected component (if applicable):
nss_ldap-226-1.1

How reproducible:
Always

Steps to Reproduce:
Setup nss_ldap against an LDAP server (eDirectory).

Do a 'large' query, like 'getent passwd'.

Actual Results:  Results are displayed, then getent hangs.

Expected Results:  getent ends and returns to command prompt.

Additional info:


The is a known problem with openldap, as described in #157684. It only seems to occur with some ldap servers though. Our openldap 2.0 server does not cause this, but our eDirectory server (novell) does, and Windows AD is believed to as well.

Comment 1 Brian Nelson 2005-06-02 17:54:06 UTC
(In reply to comment #0)

The correct version is nss_ldap-226-1. The 1.1 version is a corrected RPM i built.

Comment 2 Brian Nelson 2006-02-02 21:26:50 UTC
Eight months old now. Can someone please address this??

Comment 3 Nalin Dahyabhai 2010-02-12 19:13:48 UTC
This should have been fixed in 226-18 (in U5), which was rebuilt against openldap-2.2.13-6.4E (from U4), which should have contained the fix for bug #157684.


Note You need to log in before you can comment on or make changes to this bug.